<%@ Control Language="c#" CodeBehind="PortalDefault.ascx.cs" Inherits="DNNMasters.SEO.URLProvider.UI.Settings.UserControls.PortalDefault"
    TargetSchema="http://schemas.microsoft.com/intellisense/ie3-2nav3-0" AutoEventWireup="false" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx" %>
<table id="portaldefault_main" class="settings_table_main">
    <tr>
        <td style="width: 179px" class="Normal">
            <dnn:label id="lblReplaceSpace" resource="lblReplaceSpace" controlname="" suffix="" runat="server">
			          </dnn:label></td>
        <td>
            <asp:TextBox ID="_txtReplaceSpace" CssClass="Normal" runat="server" MaxLength="1"></asp:TextBox></td>
    </tr>
    <tr>
        <td style="width: 179px" class="Normal">
            <dnn:label id="lblPageExtension" resource="lblPageExtension" controlname="" suffix="" runat="server">
			          </dnn:label>
        </td>
        <td>
            <asp:TextBox ID="_txtPageExtension" CssClass="Normal" runat="server" MaxLength="10"></asp:TextBox></td>
    </tr>
    <tr>
        <td style="width: 179px" class="Normal">
            <dnn:label id="lblEnableFriendlyURLs" resource="lblEnableFriendlyURLs" controlname="" suffix="" runat="server">
			          </dnn:label>
        </td>
        <td>
            <asp:checkbox id="_chbEnableFriendlyURLs" runat="server" CssClass="Normal" ></asp:checkbox></td>
    </tr>
    <tr>
        <td style="width: 179px" class="Normal">
            <dnn:label id="lblEnable404" resource="lblEnable404" controlname=""
                suffix=":" runat="server">
            </dnn:label></td>
            <td>
                <asp:CheckBox ID="_chbEnable404" runat="server" CssClass="Normal"></asp:CheckBox></td>
    </tr>
    <tr>
        <td style="width: 179px" class="Normal">
            <dnn:label id="lblEnableLinkClick" resource="lblEnableLinkClick" controlname="" suffix=":" runat="server">
			          </dnn:label>
        </td>
        <td>
            <asp:checkbox id="_chbRewriteLinkClick" runat="server" CssClass="Normal" ></asp:checkbox>
        </td>
    </tr>
    <tr>
        <td style="width: 179px" class="Normal">
            <dnn:label id="lblRewriteLogin" resource="lblRewriteLogin" controlname=""
                suffix=":" runat="server">
            </dnn:label></td>
            <td>
                <asp:CheckBox ID="_chbRewriteLogin" runat="server" CssClass="Normal"></asp:CheckBox></td>
    </tr>
    <tr>
        <td style="width: 179px" class="Normal">
            <dnn:label id="lblRewriteRegister" resource="lblRewriteRegister" controlname=""
                suffix=":" runat="server">
            </dnn:label></td>
            <td>
                <asp:CheckBox ID="_chbRewriteRegister" runat="server" CssClass="Normal"></asp:CheckBox></td>
    </tr>
    <tr>
        <td colspan="2">
            <hr />
            <asp:Label ID="Label1" runat="server" Text="Automatically generate rules:"></asp:Label>
        </td>
    </tr>
    <tr>
        <td style="width: 179px" class="Normal">
            <dnn:label id="lblDefaultRuleHomePage" resource="lblDefaultRuleHomePage" controlname=""
                suffix=":" runat="server">
            </dnn:label></td>
            <td>
                <asp:CheckBox ID="_chkDefaultRuleHomePage" runat="server" CssClass="Normal"></asp:CheckBox></td>
    </tr>
    <tr>
        <td style="width: 179px" class="Normal">
            <dnn:label id="lblEmptyRuleHomePage" resource="lblEmptyRuleHomePage" controlname=""
                suffix=":" runat="server">
            </dnn:label></td>
            <td>
                <asp:CheckBox ID="_chkEmptyRuleHomePage" runat="server" CssClass="Normal"></asp:CheckBox><br />
                <asp:DropDownList ID="_ddlEmptyRuleHomePageStatus" runat="server"></asp:DropDownList>
            </td>
    </tr>    
    <tr>
        <td colspan="2">
            <hr />
        </td>
    </tr>
    <tr id="_trLanguages" runat="server">
        <td>
            <dnn:Label ID="lblLanguages" runat="server" Suffix=":" CssClass="normal" />
        </td>
        <td>
            <asp:DropDownList ID="_ddLanguages" AutoPostBack="true" Width="254" runat="server"
                CssClass="normal" />
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <table>
                <tr>
                    <td>
                        <dnn:Label ID="lbl404Text" runat="server" Suffix=":" CssClass="normal" />
                    </td>
                    <td>
                        <dnn:TextEditor ID="_txe404Text" controlname="_txe404Text" runat="server" Width="600"
                            Height="450" />
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td id="footer" class="settings_footer">
            <asp:LinkButton ID="_cmdSave" runat="server" resource="cmdSave" CssClass="CommandButton">LinkButton</asp:LinkButton> &nbsp;|&nbsp;
            <asp:LinkButton ID="_cmdApplyToAllPortals" runat="server" resource="_cmdApplyToAllPortals" CssClass="CommandButton">LinkButton</asp:LinkButton>
        </td>
    </tr>
</table>
